models/map_objects/plasma_tfa/skb_tree_branches
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/skb_tree_branches
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/skb_tree
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/skb_tree
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/plasma_tfa/skb_rock
{
	qer_editorImage textures/plasma_tfa/skb_rock
	q3map_nonPlanar
	q3map_shadeAngle 120
	{
		map textures/plasma_tfa/skb_rock
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/plasma_tfa/skb_snow
{
	q3map_material	Snow
	q3map_nonplanar
	q3map_shadeangle 120
    {
        map $lightmap
    }
    {
        map textures/plasma_tfa/skb_snow
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/plasma_tfa/skb_scroll_snow
        blendFunc GL_ONE GL_ONE
        tcMod scroll -0.4 0.2
    }
}

textures/fogs/skbnightfog
{
	qer_editorimage	textures/fogs/fog.tga
	qer_nocarve
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.015 0.065 0.10 ) 2000
}

textures/plasma_tfa/skb_night_sky
{
	qer_editorimage textures/skies/sky
	q3map_sunExt 0.13 0.66 1.00 70 135 60 2 6
	q3map_lightmapFilterRadius 0 2
	q3map_skylight 25 5
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_nolightmap
	skyParms	textures/plasma_tfa/skbnight 512 -
}

textures/plasma_tfa/skb_trees
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map textures/plasma_tfa/skb_trees
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/fo_aal
{
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/fo_aal
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/fo_aal_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

models/map_objects/plasma_tfa/fo_aal_interior
{
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/fo_aal_interior
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/fo_aal_interior_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}