//blank texture used for clip models
models/map_objects/plasma_tfa/clip
{
	q3map_nolightmap
//	q3map_onlyvertexlighting
	surfaceparm	nomarks
	surfaceparm	nodraw
//	qer_trans	1.0
//{ 
//  map models/map_objects/plasma_tfa/clip
//  alphafunc GE128 
//  depthwrite 
//  rgbgen Vertex 
//}
}

//fog
textures/fogs/jkunightfog
{
	qer_editorimage	textures/fogs/fog.tga
	qer_nocarve
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
  fogparms	( 0.010 0.045 0.05 ) 24000
}

textures/fogs/jkunightfog2
{
	qer_editorimage	textures/fogs/fog.tga
	qer_nocarve
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
  fogparms	( 0.010 0.045 0.05 ) 2000
}

//sky

textures/plasma_tfa/jku_night_sky
{
	qer_editorimage textures/skies/sky
  q3map_sunExt 1.00 0.90 0.76 70 50 60 2 6
	q3map_lightmapFilterRadius 0 2
	q3map_skylight 25 5
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nomarks
	q3map_nolightmap
	skyParms	textures/plasma_tfa/jkunight 1024 -
}

//SAND IT'S COARSE ROUGH AND GETS EVERYWHERE

models/map_objects/plasma_tfa/jku_desert
{
	q3map_material	Sand
	q3map_nonplanar
	q3map_shadeangle 179
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/jku_desert
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/plasma_tfa/skb_scroll_snow
        blendFunc GL_ONE GL_ONE
        tcMod scroll -0.04 0.02
        tcMod scale 6.0 6.0
    }
    {
        map textures/plasma_tfa/jku_sand_detail
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 10.0 10.0
    }
}

textures/plasma_tfa/jku_sand
{
	q3map_material	Sand
	q3map_nonplanar
	q3map_shadeangle 179
    {
        map $lightmap
    }
    {
        map textures/plasma_tfa/jku_sand
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/plasma_tfa/skb_scroll_snow
        blendFunc GL_ONE GL_ONE
        tcMod scroll -0.4 0.2
        tcMod scale 2.0 2.0
    }
    {
        map textures/plasma_tfa/jku_sand_detail
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 5.0 5.0
    }
}

textures/plasma_tfa/jku_sand2
{
	q3map_material	Sand
	q3map_nonplanar
	q3map_shadeangle 179
	surfaceparm slick
	qer_editorImage textures/plasma_tfa/jku_sand
    {
        map $lightmap
    }
    {
        map textures/plasma_tfa/jku_sand
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/plasma_tfa/skb_scroll_snow
        blendFunc GL_ONE GL_ONE
        tcMod scroll -0.4 0.2
        tcMod scale 2.0 2.0
    }
    {
        map textures/plasma_tfa/jku_sand_detail
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 5.0 5.0
    }
}

//ROCK

textures/plasma_tfa/jku_rock
{
	qer_editorImage textures/plasma_tfa/jku_rock
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/plasma_tfa/jku_rock
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/plasma_tfa/jku_rock_b
{
	qer_editorImage textures/plasma_tfa/jku_rock_b
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/plasma_tfa/jku_rock_b
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/plasma_tfa/jku_rock_bt
{
	qer_editorImage textures/plasma_tfa/jku_rock_bt
	q3map_nonPlanar
	q3map_shadeAngle 179
	{
		map textures/plasma_tfa/jku_rock_bt
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//LIGHT EMIT

models/map_objects/plasma_tfa/jku_centerpiece
{
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/jku_centerpiece
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/jku_centerpiece_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

models/map_objects/plasma_tfa/jku_metal_heater
{
    q3map_surfacelight 600
    q3map_lightRGB 1.00 0.55 0.00
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/jku_metal_heater
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/jku_metal_heater_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

models/map_objects/plasma_tfa/jku_metal_light
{
    q3map_surfacelight 600
    q3map_lightRGB 0.70 1.00 0.00
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/jku_metal_light
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/jku_metal_light_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

models/map_objects/plasma_tfa/jku_moisture_vaporator
{
    q3map_surfacelight 600
    q3map_lightRGB 1.00 0.40 0.00
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/jku_moisture_vaporator
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/jku_moisture_vaporator_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

models/map_objects/plasma_tfa/jku_stone_light
{
    q3map_surfacelight 300
    q3map_lightRGB 0.80 1.00 0.00
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/jku_stone_light
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/jku_stone_light_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

models/map_objects/plasma_tfa/jku_wall_panel
{
    q3map_surfacelight 600
    q3map_lightRGB 1.00 0.58 0.00
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/jku_wall_panel
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/jku_wall_panel_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}

//TRANSPARENT

models/map_objects/plasma_tfa/jku_cover
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_cover
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_herb
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_herb
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_rope_net
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_rope_net
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_small_hut
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_small_hut
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_weed
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_weed
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_rug
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_rug
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_door_hangings
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
	surfaceparm	nonsolid
    {
        map models/map_objects/plasma_tfa/jku_door_hangings
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_hut_burnt_exterior
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_hut_burnt_exterior
        alphaFunc GE128
        rgbGen vertex
    }
}

models/map_objects/plasma_tfa/jku_hut_burnt_interior
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
    {
        map models/map_objects/plasma_tfa/jku_hut_burnt_interior
        alphaFunc GE128
        rgbGen vertex
    }
}

//TRANSPARENT LIGHT EMIT

models/map_objects/plasma_tfa/jku_lantern
{
	q3map_nolightmap
	q3map_onlyvertexlighting
  q3map_alphashadow
	cull	twosided
	qer_trans	1.0
  {
    map models/map_objects/plasma_tfa/jku_lantern
    alphaFunc GE128
    rgbGen vertex
  }

  {
    map models/map_objects/plasma_tfa/jku_lantern_glow
    blendFunc GL_ONE GL_ONE
    glow
    rgbGen identity
  }
}

//ship glow
models/map_objects/plasma_tfa/fo_command_shuttle_main
{
    {
        map $lightmap
    }
    {
        map models/map_objects/plasma_tfa/fo_command_shuttle_main
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map models/map_objects/plasma_tfa/fo_command_shuttle_main_glow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen identity
    }
}